filetea(8)

NAME
filetea - Web based file sharing service daemon

SYNOPSIS
filetea [OPTIONS]

DESCRIPTION
This manual page documents briefly the filetea command.

FileTea is a Web service that provides instant and anonymous file-sharing using only a standard browser as client. Unlike traditional Web based file-sharing services, FileTea does not store files server-side. Instead, files are just routed on-the-fly from seeder to leecher, through the server.

filetea is the service daemon that runs on a FileTea server. It handles peer synchronization, file routing and status reporting; and also acts as web-server for static HTML content when run in standalone mode.

OPTIONS

-h, --help
    Display a brief summary of the command-line options and their default values.

-c config, --conf=config
    Absolute path for the configuration file to use, default is /etc/filetea/filetea.conf.

-D, --daemonize
    Run the service in the background.

-p port, --http-port=port
    Port to listen on for plain HTTP service, overriding the value specified in configuration file.

-P port, --https-port=port
    Port to listen on for secure HTTP service (https), overriding the value specified in configuration file.

FILES

/etc/filetea/filetea.conf
    Filetea config file.

AUTHOR
This manpage has been written by Eduardo Lima Mitev <elima@igalia.com>